# sc::TwoBodyDerivIntV3 Class Reference

This implements electron repulsion derivative integrals in the IntV3 library. More...

`#include <tbintv3.h>`

Inheritance diagram for sc::TwoBodyDerivIntV3:

List of all members.

## Public Member Functions
| TwoBodyDerivIntV3 (Integral *integral, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2, const Ref< GaussianBasisSet > &b3, const Ref< GaussianBasisSet > &b4, size_t storage)
int | log2_shell_bound (int, int, int, int)
| Return log base 2 of the maximum magnitude of any integral in a shell block.
void | compute_shell (int, int, int, int, DerivCenters &)
| Given for shell indices, this will cause the integral buffer to be filled in.
size_t | storage_used ()
## Protected Attributes
Ref< Int2eV3 > | int2ev3_

## Detailed Description

This implements electron repulsion derivative integrals in the IntV3 library.

## Member Function Documentation

void sc::TwoBodyDerivIntV3::compute_shell | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | DerivCenters & |  |
| ) |  |  | `[virtual]`

Given for shell indices, this will cause the integral buffer to be filled in.

Implements sc::TwoBodyDerivInt.

int sc::TwoBodyDerivIntV3::log2_shell_bound | ( | int | ,
|  | int | ,
|  | int | ,
|  | int |  |
| ) |  |  | `[virtual]`

Return log base 2 of the maximum magnitude of any integral in a shell block.

An index of -1 for any argument indicates any shell.

Implements sc::TwoBodyDerivInt.

The documentation for this class was generated from the following file:

- tbintv3.h